pm_getPaymasterData
POST
/{apiKey}
Returns values to be used in paymaster-related fields of a signed userOperation. These values are not stubs and will be included in a signed userOperation as part of an eth_sendUserOperation call.
Path Parameters
stringrequireddefaults to
docs-demoFor higher throughput, create your own API key
Request
objectrequired
Partial UserOperation object (either v0.6 or v0.7, missing signature and paymasterData).
string
format: "^0[xX][0-9a-fA-F]*$"requiredThe EntryPoint address the request should be sent through. Must be one of the EntryPoints returned by the supportedEntryPoints RPC call.
string
format: "^0[xX][0-9a-fA-F]+$"requiredThe chain ID of the network the userOperation will be submitted on.
object
An object containing context. Must include a Gas Manager Policy Id and may include webhookData.
Responses
200
The response object may be one of two types:
Was this page helpful?